Subject: Re: dos/unix utilities
From: Bob McGowan <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Matthew Smith <[email-masked]>
Date: Mon, 12 Feb 2001 10:14:07 -0800

From a command prompt, using a full path wihtout wildcards, the command works with either type of slash.  Put in a wildcard, and it fails.  I assume the presence of the
wildcard activates globbing routines but a backslash alone does not?  Is this what you mean?

I think there is also a problem with the /tmp/ctm*.* form.  It cannot match the file /tmp/ctm040701 because this file name does not contain the literal dot that is present
in the wildcard form.

Earnie Boyd wrote:
> 
> Christopher Faylor wrote:
> >
> > On Sun, Feb 11, 2001 at 03:55:31PM -0600, Matthew Smith wrote:
> > >> I have found the utilities extremely useful, in order to emulate
> > >processes,
> > >> that we run in a Unix environment, under Windows NT. I am running them in
> > >a
> > >> win98 environment and then, when the process is working, transferring them
> > >> to NT. I cannot see why there would be any problems. However, I am having
> > >a
> > >> problem with "wc" recognising that certain directories/files exist when
> > >> using wildcards for non 8.3 form file names..
> > >>
> > >> For example:
> > >> wc -l \postbox\ctm\ctm*.*      fails (with a ENOENT error msg)
> > >> wc -l \postbox\ctm\ctm040701   works fine however
> > >
> > >Output of cygcheck -srv would be appreciated.  Also, you neglect to say what
> > >environment this is failing under.  Are you trying this command from bash?
> > >cmd.exe?  You need to give us more info.
> >
> > You can't use wildcards with Windows filespecs.
> 
> Huh?  I can use wc -l /tmp/st*.* just fine in a COMMAND window.
> However, I can't use wc -l \tmp\st*.*.  Oh, I get it now, that's what
> you were saying.
> 
> > Cygwin is a UNIX emulation, remember?
> >
> > Try "wc -l /postbox/ctm/ctm*.*".
> >
> 
> True, the '\' is what Chris is in reference to.  You must use '/'.
> 
> Earnie.
> 
> P.S.: Sorry, Chris.  I was confused at first by your answer.  So, I
> decided to post anyway.
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple